unit U_GetDllForm;

interface

uses
  Windows, Messages, forms, OleCtnrs, DateUtils, SysUtils, ADODB, dxCore,
  ActiveX;

function GetDllForm(App: Tapplication; FormH: hwnd; FormID: integer; Language: integer; WinStyle: integer; GCode: Pchar; GName: Pchar; DataBase: Pchar; Title: PChar; Parameters1: PChar; Parameters2: PChar; Parameters3: PChar; Parameters4: PChar; Parameters5: PChar; Parameters6: PChar; Parameters7: PChar; Parameters8: PChar; Parameters9: PChar; Parameters10: PChar; DataBaseStr: PChar): hwnd; export; stdcall;

function ConnData(): Boolean;

implementation

uses
  U_DataLink, U_GYSList, U_SXCKList, U_SXCKOutList, U_SXKCList, U_PBCKChkList,
  U_SXCKNewList, U_PBCKKCList, U_DJBCKKCList_DDSH, U_WJGMDList, U_WJGCKOutList,
  U_WJGCKKCList, U_DJBRKList, U_DJBCKOutList, U_DJBCKKCList, U_ShaRKList,
  U_DJBCKKCList_HTSH, U_ShaOutList, U_ShaKCList, U_ContractCGJGList,
  U_ContractCGJGChkList, U_ContractCGJGViewList, U_DJBCKKCList_PBSH,
  U_JGSXCKOutlist, U_JGSXKNewList, U_JGPBCKKCList, U_BPShengChanListCX,
  U_BPShengChanListSXCX, U_JYOrderCDOne, U_DJBRKList_JTZS, U_DJBRKList_JTCL,
  U_DJBRKList_DCGCL, U_DJBRKList_JTCLMonth, U_DJBRKList_DCGCLMonth,
  U_DJBRKList_JYCX, U_DJBRKList_JYCXMonth, U_DJBRKList_PBNo, U_DJBRKList_PBMonth,
  U_DJBRKList_JTHZ, U_ShaKCList_HZ, U_CKProductBCPOutHZList,
  U_CKProductBCPOutHZList_HZN, U_CKProductBCPOutHZList_Month,
  U_CKProductBCPOutHZList_Date, U_SXCKOutList_SH, U_CPRKList, U_CPCKOutList,
  U_CPCKKCSelList, U_CKProductBCP_CKKCHZ, U_CJNewList, U_CGNewList, U_BZNewList;

       /////////////////////////////////////////////////////////////////
      //         功能说明:取Dll中得窗体                              //
     //        参数说明：App>>调用应用程序；                        //
    //                 FormH>>调用窗口句柄 ；                      //
   //                 FormID>>窗口号;                             //
  //                 Language>>语言种类;                         //
 //                 WinStyle>>窗口类型；                        //
/////////////////////////////////////////////////////////////////
function GetDllForm(App: Tapplication; FormH: hwnd; FormID: integer; Language: integer; WinStyle: integer; GCode: Pchar; GName: Pchar; DataBase: Pchar; Title: PChar; Parameters1: PChar; Parameters2: PChar; Parameters3: PChar; Parameters4: PChar; Parameters5: PChar; Parameters6: PChar; Parameters7: PChar; Parameters8: PChar; Parameters9: PChar; Parameters10: PChar; DataBaseStr: PChar): hwnd;
var
  mnewHandle: hwnd;
  mstyle: TFormStyle;     // 0:子窗口; 1：普通窗口
  mstate: TWindowState;
  mborderstyle: TFormBorderStyle;
begin
  mnewHandle := 0;
  DName := PChar(GName);
  DCode := PChar(GCode);
  DdataBase := DataBase;
  DTitCaption := Title;
  DParameters1 := Parameters1;
  DParameters2 := Parameters2;
  DParameters3 := Parameters3;
  DParameters4 := Parameters4;
  DParameters5 := Parameters5;
  DParameters6 := Parameters6;
  DParameters7 := Parameters7;
  DParameters8 := Parameters8;
  DParameters9 := Parameters9;
  DParameters10 := Parameters10;

  MainApplication := App;
  DCurHandle := FormH;
  IsDelphiLanguage := Language;

  Application := TApplication(App);
  DCurHandle := 0;


   //赋值链接字符串
  SetLength(server, 255);
  SetLength(dtbase, 255);
  SetLength(user, 255);
  SetLength(pswd, 255);
  if Trim(DataBaseStr) = '' then
  begin
    server := '47.100.233.156,7781';    //202.96.107.70,7781 haoyuedata
   //server:='192.168.2.246';     //192.168.1.113
    dtbase := 'chuangpingData';   //
    user := 'sa';
    pswd := 'rightsoft@123';
   //pswd:='rightsoft';
    DConString := 'Provider=SQLOLEDB.1;Password=' + pswd + ';Persist Security Info=True;User ID=' + user + ';Initial Catalog=' + dtbase + ';Data Source=' + server;

   //DName:='创品';
   //DCode:='016';
   //DParameters1:='高权限';   //高权限
   //DParameters3:='检验';
  end
  else
  begin
    DConString := DataBaseStr;
  end;

  if not ConnData() then
  begin
    result := 0;
    exit;
  end;

   // 定义窗口类型 、状态
  if WinStyle = 0 then
  begin
    mstyle := fsMDIChild;
    mstate := wsMaximized;
    mborderstyle := bsSizeable;
  end
  else
  begin
    mstyle := fsNormal;
    mstate := wsNormal;
    mborderstyle := bsSizeable;
  end;
  /////////////////////
  //调用子模块窗口
  case FormID of

    -101:  //采购加工合同
      begin
        if frmContractCGJGList = nil then
        begin
          frmContractCGJGList := TfrmContractCGJGList.Create(application.MainForm);
          with frmContractCGJGList do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmContractCGJGList.BringToFront;
       //句柄
        mnewHandle := frmContractCGJGList.Handle;
      end;
    -102:  //采购加工合同审核
      begin
        if frmContractCGJGChkList = nil then
        begin
          frmContractCGJGChkList := TfrmContractCGJGChkList.Create(application.MainForm);
          with frmContractCGJGChkList do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmContractCGJGChkList.BringToFront;
       //句柄
        mnewHandle := frmContractCGJGChkList.Handle;
      end;
    -103:  //采购加工合同查询
      begin
        if frmContractCGJGViewList = nil then
        begin
          frmContractCGJGViewList := TfrmContractCGJGViewList.Create(application.MainForm);
          with frmContractCGJGViewList do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmContractCGJGViewList.BringToFront;
       //句柄
        mnewHandle := frmContractCGJGViewList.Handle;
      end;

    -4:  //辅料入库
      begin
        if frmJGSXNewList = nil then
        begin
          frmJGSXNewList := TfrmJGSXNewList.Create(application.MainForm);
          with frmJGSXNewList do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmJGSXNewList.BringToFront;
       //句柄
        mnewHandle := frmJGSXNewList.Handle;
      end;

    -5:  //辅料出库
      begin
        if frmJGSXCKOutList = nil then
        begin
          frmJGSXCKOutList := TfrmJGSXCKOutList.Create(application.MainForm);
          with frmJGSXCKOutList do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmJGSXCKOutList.BringToFront;
       //句柄
        mnewHandle := frmJGSXCKOutList.Handle;
      end;

    -6:  //辅料库存
      begin
        if frmJGPBCKKCList = nil then
        begin
          frmJGPBCKKCList := TfrmJGPBCKKCList.Create(application.MainForm);
          with frmJGPBCKKCList do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmJGPBCKKCList.BringToFront;
       //句柄
        mnewHandle := frmJGPBCKKCList.Handle;
      end;

    1:  //坯布入库
      begin
        if frmSXCKNewList = nil then
        begin
          frmSXCKNewList := TfrmSXCKNewList.Create(application.MainForm);
          with frmSXCKNewList do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmSXCKNewList.BringToFront;
       //句柄
        mnewHandle := frmSXCKNewList.Handle;
      end;
    2:  //坯布出库
      begin
        if frmSXCKOutList = nil then
        begin
          frmSXCKOutList := TfrmSXCKOutList.Create(application.MainForm);
          with frmSXCKOutList do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmSXCKOutList.BringToFront;
       //句柄
        mnewHandle := frmSXCKOutList.Handle;
      end;
    3:  //坯布库存
      begin
        if frmPBCKKCList = nil then
        begin
          frmPBCKKCList := TfrmPBCKKCList.Create(application.MainForm);
          with frmPBCKKCList do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmPBCKKCList.BringToFront;
       //句柄
        mnewHandle := frmPBCKKCList.Handle;
      end;

    5:  //外加工入库
      begin
        if frmWJGMDList = nil then
        begin
          frmWJGMDList := TfrmWJGMDList.Create(application.MainForm);
          with frmWJGMDList do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmWJGMDList.BringToFront;
       //句柄
        mnewHandle := frmWJGMDList.Handle;
      end;
    6:  //外加工出库
      begin
        if frmWJGCKOutList = nil then
        begin
          frmWJGCKOutList := TfrmWJGCKOutList.Create(application.MainForm);
          with frmWJGCKOutList do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmWJGCKOutList.BringToFront;
       //句柄
        mnewHandle := frmWJGCKOutList.Handle;
      end;
    7:  //外加工库存
      begin
        if frmWJGCKKCList = nil then
        begin
          frmWJGCKKCList := TfrmWJGCKKCList.Create(application.MainForm);
          with frmWJGCKKCList do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmWJGCKKCList.BringToFront;
       //句柄
        mnewHandle := frmWJGCKKCList.Handle;
      end;
    8:  //待检布入库列表
      begin
        if frmDJBRKList = nil then
        begin
          frmDJBRKList := TfrmDJBRKList.Create(application.MainForm);
          with frmDJBRKList do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmDJBRKList.BringToFront;
       //句柄
        mnewHandle := frmDJBRKList.Handle;
      end;
    9:  //待检布出库列表
      begin
        if frmDJBCKOutList = nil then
        begin
          frmDJBCKOutList := TfrmDJBCKOutList.Create(application.MainForm);
          with frmDJBCKOutList do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmDJBCKOutList.BringToFront;
       //句柄
        mnewHandle := frmDJBCKOutList.Handle;
      end;

    10:  //待检布库存列表
      begin
        if frmDJBCKKCList = nil then
        begin
          frmDJBCKKCList := TfrmDJBCKKCList.Create(application.MainForm);
          with frmDJBCKKCList do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmDJBCKKCList.BringToFront;
       //句柄
        mnewHandle := frmDJBCKKCList.Handle;
      end;

    11:  //裁剪登记
      begin
        if frmCJNewList = nil then
        begin
          frmCJNewList := TfrmCJNewList.Create(application.MainForm);
          with frmCJNewList do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmCJNewList.BringToFront;
       //句柄
        mnewHandle := frmCJNewList.Handle;
      end;

    12:  //车工登记
      begin
        if frmCGNewList = nil then
        begin
          frmCGNewList := TfrmCGNewList.Create(application.MainForm);
          with frmCGNewList do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmCGNewList.BringToFront;
       //句柄
        mnewHandle := frmCGNewList.Handle;
      end;

    13:  //包装登记
      begin
        if frmBZNewList = nil then
        begin
          frmBZNewList := TfrmBZNewList.Create(application.MainForm);
          with frmBZNewList do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmBZNewList.BringToFront;
       //句柄
        mnewHandle := frmBZNewList.Handle;
      end;

    14:  //成品入库列表
      begin
        if frmCPRKList = nil then
        begin
          frmCPRKList := TfrmCPRKList.Create(application.MainForm);
          with frmCPRKList do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmCPRKList.BringToFront;
       //句柄
        mnewHandle := frmCPRKList.Handle;
      end;

    15:  //成品出库列表
      begin
        if frmCPCKOutList = nil then
        begin
          frmCPCKOutList := TfrmCPCKOutList.Create(application.MainForm);
          with frmCPCKOutList do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmCPCKOutList.BringToFront;
       //句柄
        mnewHandle := frmCPCKOutList.Handle;
      end;

    16:  //成品库存列表
      begin
        if frmCPCKKCSelList = nil then
        begin
          frmCPCKKCSelList := TfrmCPCKKCSelList.Create(application.MainForm);
          with frmCPCKKCSelList do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmCPCKKCSelList.BringToFront;
       //句柄
        mnewHandle := frmCPCKKCSelList.Handle;
      end;

    17:  //库存汇总查询
      begin
        if frmCKProductBCP_CKKCHZ = nil then
        begin
          frmCKProductBCP_CKKCHZ := TfrmCKProductBCP_CKKCHZ.Create(application.MainForm);
          with frmCKProductBCP_CKKCHZ do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmCKProductBCP_CKKCHZ.BringToFront;
       //句柄
        mnewHandle := frmCKProductBCP_CKKCHZ.Handle;
      end;
  end;

  Result := mnewHandle;
end;
//===========================================================
  //建立数据库连接池
//===========================================================

function ConnData(): Boolean;
begin
  if not Assigned(DataLink_FMMD) then
    DataLink_FMMD := TDataLink_FMMD.Create(Application);
  try
    with DataLink_FMMD.ADOLink do
    begin
      //if not Connected then
      begin
        Connected := false;
        ConnectionString := DConString;
        LoginPrompt := false;
        Connected := true;
      end;
    end;
    Result := true;
  except
    Result := false;
    application.MessageBox('数据库连接失败！', '错误', mb_Ok + MB_ICONERROR);
  end;

end;

initialization
  CoInitialize(nil);
  dxUnitsLoader.Initialize;


finalization
  DataLink_FMMD.Free;
  application := NewDllApp;
  dxUnitsLoader.Finalize;

end.

